// data file parameters

#define MAX_N_POINTS 100000

// channels in data file
enum channels {
M_TIME=0,

M_X_XR,
M_X_AB,
M_X_AKL,
M_X_AKR,
M_X_AH,

M_X_XRD,
M_X_ABD,
M_X_AKLD,
M_X_AKRD,
M_X_AHD,

M_U_AAL,
M_U_AKL,
M_U_AHL,
M_U_AAR,
M_U_AKR,
M_U_AHR,

M_FBSLX,
M_FBSLY,
M_FBSRX,
M_FBSRY,

M_XR,
M_YR,
M_AR,
M_XC,
M_YC,
M_XB,
M_YB,
M_AB,
M_XAL,
M_YAL,
M_XSL,
M_YSL,
M_ASL,
M_XKL,
M_YKL,
M_XTHL,
M_YTHL,
M_ATHL,
M_XAR,
M_YAR,
M_XSR,
M_YSR,
M_ASR,
M_XKR,
M_YKR,
M_XTHR,
M_YTHR,
M_ATHR,
M_XH,
M_YH,
M_XTO,
M_YTO,
M_ATO,
M_XHEAD,
M_YHEAD,

M_XRD,
M_YRD,
M_XCD,
M_YCD,
M_XBD,
M_YBD,
M_XALD,
M_YALD,
M_XSLD,
M_YSLD,
M_XKLD,
M_YKLD,
M_XTHLD,
M_YTHLD,
M_XARD,
M_YARD,
M_XSRD,
M_YSRD,
M_XKRD,
M_YKRD,
M_XTHRD,
M_YTHRD,
M_XHD,
M_YHD,
M_XTOD,
M_YTOD,
M_XHEADD,
M_YHEADD,

M_WR,
M_WB,
M_WSL,
M_WTHL,
M_WSR,
M_WTHR,
M_WTO,

M_XCOM,
M_YCOM,
M_DX,

M_XCOMD,
M_YCOMD,
M_DXD,

M_ENERGY,

M_RKE,
M_RPE,
M_BKE,
M_BPE,
M_SLKE,
M_SLPE,
M_THLKE,
M_THLPE,
M_SRKE,
M_SRPE,
M_THRKE,
M_THRPE,
M_TOKE,
M_TOPE,
M_KE,
M_PE,

M_FGRX,
M_FGRY,
M_FRBX,
M_FRBY,

M_XX_XR,
M_XX_YR,
M_XX_AR,
M_XX_XB,
M_XX_YB,
M_XX_AB,
M_XX_XSL,
M_XX_YSL,
M_XX_ASL,
M_XX_XTHL,
M_XX_YTHL,
M_XX_ATHL,
M_XX_XSR,
M_XX_YSR,
M_XX_ASR,
M_XX_XTHR,
M_XX_YTHR,
M_XX_ATHR,
M_XX_XTO,
M_XX_YTO,
M_XX_ATO,

M_XX_XRD,
M_XX_YRD,
M_XX_ARD,
M_XX_XBD,
M_XX_YBD,
M_XX_ABD,
M_XX_XSLD,
M_XX_YSLD,
M_XX_ASLD,
M_XX_XTHLD,
M_XX_YTHLD,
M_XX_ATHLD,
M_XX_XSRD,
M_XX_YSRD,
M_XX_ASRD,
M_XX_XTHRD,
M_XX_YTHRD,
M_XX_ATHRD,
M_XX_XTOD,
M_XX_YTOD,
M_XX_ATOD,

M_XX_XRDD,
M_XX_YRDD,
M_XX_ARDD,
M_XX_XBDD,
M_XX_YBDD,
M_XX_ABDD,
M_XX_XSLDD,
M_XX_YSLDD,
M_XX_ASLDD,
M_XX_XTHLDD,
M_XX_YTHLDD,
M_XX_ATHLDD,
M_XX_XSRDD,
M_XX_YSRDD,
M_XX_ASRDD,
M_XX_XTHRDD,
M_XX_YTHRDD,
M_XX_ATHRDD,
M_XX_XTODD,
M_XX_YTODD,
M_XX_ATODD,

M_NE_FSLTHLX,
M_NE_FSLTHLY,
M_NE_FTHLTOX,
M_NE_FTHLTOY,
M_NE_FSRTHRX,
M_NE_FSRTHRY,
M_NE_FTHRTOX,
M_NE_FTHRTOY,

N_CHANNELS
};


